export default {
  steps: {
    page0: {
      elements: [
        'h4_3',
        'p',
        'weight_loss_weight',
        'weight_loss_height',
      ],
      buttons: {
        previous: false,
      },
    },
    page1: {
      elements: [
        'h4_4',
        'p_1',
        'weight_loss_target_weight',
      ],
    },
    page2: {
      elements: [
        'h4_5',
        'p_2',
        'weight_loss_weight_changes_in_past',
        'weight_loss_weight_changes_in_past_reason',
      ],
    },
    page3: {
      elements: [
        'h4',
        'p_3',
        'weight_loss_diagnosed_related_conditions',
        'weight_loss_diagnosed_related_conditions_reason',
      ],
    },
    page4: {
      elements: [
        'h2',
        'p_4',
        'weight_loss_good_allergies',
        'weight_loss_good_allergies_reason',
      ],
    },
    page5: {
      elements: [
        'h4_1',
        'p_5',
        'weight_loss_physical_activity_exercise',
      ],
    },
    page6: {
      elements: [
        'h4_2',
        'p_6',
        'weight_loss_used_medications_before',
        'weight_loss_used_medications_before_explanation',
      ],
    },
    page7: {
      elements: [
        'h4_6',
        'p_7',
        'weight_loss_taking_affecting_medications',
        'weight_loss_taking_affecting_medications_reason',
      ],
    },
    page8: {
      elements: [
        'h4_7',
        'p_8',
        'weight_loss_have_allergies_to_medications',
        'weight_loss_have_allergies_to_medications_reason',
      ],
    },
    page9: {
      elements: [
        'h4_8',
        'p_9',
        'weight_loss_some_serious_conditions',
        'weight_loss_some_serious_conditions_others',
      ],
    },
    page10: {
      elements: [
        'h4_9',
        'p_10',
        'weight_loss_history_gastrointestinal_disorders',
        'weight_loss_history_gastrointestinal_disorders_reason',
      ],
    },
    page11: {
      elements: [
        'h4_10',
        'p_11',
        'weight_loss_diagnosed_with_any_hormonal_imbalances',
        'weight_loss_diagnosed_with_any_hormonal_imbalances_reason',
      ],
    },
    page12: {
      elements: [
        'h4_11',
        'p_12',
        'weight_loss_consume_alcohol',
      ],
    },
    page13: {
      elements: [
        'h4_12',
        'p_13',
        'weight_loss_family_history_of_thyroid_cancer',
        'weight_loss_family_history_of_thyroid_cancer_reason',
      ],
    },
    page14: {
      elements: [
        'h4_13',
        'p_14',
        'weight_loss_experienced_nausea_vomiting',
        'weight_loss_experienced_nausea_vomiting_reason',
      ],
    },
    page15: {
      elements: [
        'h4_14',
        'p_15',
        'weight_loss_used_anti_inflammatory',
        'weight_loss_used_anti_inflammatory_reason',
      ],
    },
    page16: {
      elements: [
        'h4_15',
        'p_16',
        'weight_loss_affecting_your_growth_hormone_levels',
        'weight_loss_affecting_your_growth_hormone_levels_reason',
      ],
    },
    page17: {
      elements: [
        'h4_16',
        'p_17',
        'weight_loss_are_you_pregnant',
      ],
    },
  },
  schema: {
    h4_3: {
      type: 'static',
      tag: 'h4',
      content: 'Weight Loss',
    },
    p: {
      type: 'static',
      tag: 'p',
      content: 'What is your current weight and height?\n',
    },
    weight_loss_weight: {
      type: 'text',
      label: 'Weight (lbs or kg)',
      inputType: 'number',
      rules: [
        'required',
      ],
    },
    weight_loss_height: {
      type: 'text',
      label: 'Height (feet/inches or cm)',
      inputType: 'number',
      rules: [
        'required',
      ],
    },
    h4_5: {
      type: 'static',
      tag: 'h4',
      content: 'Weight Loss',
    },
    p_2: {
      type: 'static',
      tag: 'p',
      content: 'Have you experienced significant weight changes (gain/loss) in the past 6 months?',
    },
    weight_loss_weight_changes_in_past: {
      type: 'radiogroup',
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
          description: '',
        },
        {
          value: 'No',
          label: 'No',
          description: '',
        },
      ],
      rules: [
        'required',
      ],
    },
    weight_loss_weight_changes_in_past_reason: {
      type: 'text',
      label: 'If yes, please describe.',
      rules: [
        'required',
      ],
      conditions: [
        [
          'weight_loss_weight_changes_in_past',
          'in',
          [
            'Yes',
          ],
        ],
      ],
    },
    h4_4: {
      type: 'static',
      tag: 'h4',
      content: 'Weight Loss',
    },
    p_1: {
      type: 'static',
      tag: 'p',
      content: 'What is your target weight?\n',
    },
    weight_loss_target_weight: {
      type: 'text',
      inputType: 'number',
      rules: [
        'required',
      ],
    },
    h4: {
      type: 'static',
      tag: 'h4',
      content: 'Weight Loss',
    },
    p_3: {
      type: 'static',
      tag: 'p',
      content: 'Have you been diagnosed with any weight-related conditions (e.g., obesity, metabolic syndrome, type 2 diabetes)?',
    },
    weight_loss_diagnosed_related_conditions: {
      type: 'radiogroup',
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
          description: '',
        },
        {
          value: 'No',
          label: 'No',
          description: '',
        },
      ],
      rules: [
        'required',
      ],
    },
    weight_loss_diagnosed_related_conditions_reason: {
      type: 'text',
      label: 'If yes, please specify the condition.',
      conditions: [
        [
          'weight_loss_diagnosed_related_conditions',
          'in',
          [
            'Yes',
          ],
        ],
      ],
      rules: [
        'required',
      ],
    },
    h2: {
      type: 'static',
      tag: 'h4',
      content: 'Weight Loss',
    },
    p_4: {
      type: 'static',
      tag: 'p',
      content: 'Do you have any known food allergies or intolerances?',
    },
    weight_loss_good_allergies: {
      type: 'radiogroup',
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
          description: '',
        },
        {
          value: 'No',
          label: 'No',
          description: '',
        },
      ],
      rules: [
        'required',
      ],
    },
    weight_loss_good_allergies_reason: {
      type: 'text',
      label: 'If yes, please specify the condition.',
      rules: [
        'required',
      ],
      conditions: [
        [
          'weight_loss_good_allergies',
          'in',
          [
            'Yes',
          ],
        ],
      ],
    },
    h4_1: {
      type: 'static',
      tag: 'h4',
      content: 'Weight Loss',
    },
    p_5: {
      type: 'static',
      tag: 'p',
      content: 'How often do you engage in physical activity or exercise?',
    },
    weight_loss_physical_activity_exercise: {
      type: 'radiogroup',
      view: 'blocks',
      items: [
        {
          value: 'Never',
          label: 'Never',
          description: '',
        },
        {
          value: '1-2 times a week',
          label: '1-2 times a week',
          description: '',
        },
        {
          value: '3-4 times a week',
          label: '3-4 times a week',
          description: null,
        },
        {
          value: '5+ times a week',
          label: '5+ times a week',
          description: null,
        },
      ],
      rules: [
        'required',
      ],
    },
    h4_2: {
      type: 'static',
      tag: 'h4',
      content: 'Weight Loss',
    },
    p_6: {
      type: 'static',
      tag: 'p',
      content: 'Have you used medications for weight loss before?',
    },
    weight_loss_used_medications_before: {
      type: 'radiogroup',
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
          description: '',
        },
        {
          value: 'No',
          label: 'No',
          description: '',
        },
      ],
      rules: [
        'required',
      ],
    },
    weight_loss_used_medications_before_explanation: {
      type: 'text',
      label: 'If yes, what medications have you tried, and were they effective?',
      conditions: [
        [
          'weight_loss_used_medications_before',
          'in',
          [
            'Yes',
          ],
        ],
      ],
      rules: [
        'required',
      ],
    },
    h4_6: {
      type: 'static',
      tag: 'h4',
      content: 'Weight Loss',
    },
    p_7: {
      type: 'static',
      tag: 'p',
      content: 'Are you taking medications that may affect your weight (e.g., insulin, antidepressants, thyroid medication)?\n',
    },
    weight_loss_taking_affecting_medications: {
      type: 'radiogroup',
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
          description: '',
        },
        {
          value: 'No',
          label: 'No',
          description: '',
        },
      ],
      rules: [
        'required',
      ],
    },
    weight_loss_taking_affecting_medications_reason: {
      type: 'text',
      label: 'If yes, please specify',
      rules: [
        'required',
      ],
      conditions: [
        [
          'weight_loss_taking_affecting_medications',
          'in',
          [
            'Yes',
          ],
        ],
      ],
    },
    h4_7: {
      type: 'static',
      tag: 'h4',
      content: 'Weight Loss',
    },
    p_8: {
      type: 'static',
      tag: 'p',
      content: 'Do you have any known sensitivities or allergies to peptides or other medications?',
    },
    weight_loss_have_allergies_to_medications: {
      type: 'radiogroup',
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
          description: '',
        },
        {
          value: 'No',
          label: 'No',
          description: '',
        },
      ],
      rules: [
        'required',
      ],
    },
    weight_loss_have_allergies_to_medications_reason: {
      type: 'text',
      label: 'If yes, please specify the condition.',
      rules: [
        'required',
      ],
      conditions: [
        [
          'weight_loss_have_allergies_to_medications',
          'in',
          [
            'Yes',
          ],
        ],
      ],
    },
    h4_8: {
      type: 'static',
      tag: 'h4',
      content: 'Weight Loss',
    },
    p_9: {
      type: 'static',
      tag: 'p',
      content: 'Do you have any of the following conditions?',
    },
    weight_loss_some_serious_conditions: {
      type: 'radiogroup',
      view: 'blocks',
      items: [
        {
          value: 'Type 2 diabetes',
          label: 'Type 2 diabetes',
          description: '',
        },
        {
          value: 'High blood pressure (Hypertension)',
          label: 'High blood pressure (Hypertension)',
          description: '',
        },
        {
          value: 'Heart disease',
          label: 'Heart disease',
          description: null,
        },
        {
          value: 'Thyroid disorders',
          label: 'Thyroid disorders',
          description: null,
        },
        {
          value: 'Liver or kidney disease',
          label: 'Liver or kidney disease',
          description: null,
        },
        {
          value: 'Other chronic conditions',
          label: 'Other chronic conditions',
          description: null,
        },
      ],
    },
    weight_loss_some_serious_conditions_others: {
      type: 'text',
      label: 'Write other conditions',
      rules: [
        'required',
      ],
      conditions: [
        [
          'weight_loss_some_serious_conditions',
          'in',
          [
            'Other chronic conditions',
          ],
        ],
      ],
    },
    h4_9: {
      type: 'static',
      tag: 'h4',
      content: 'Weight Loss',
    },
    p_10: {
      type: 'static',
      tag: 'p',
      content: 'Do you have a history of gastrointestinal disorders (e.g., GERD, IBS, or gallbladder issues)?',
    },
    weight_loss_history_gastrointestinal_disorders: {
      type: 'radiogroup',
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
          description: '',
        },
        {
          value: 'No',
          label: 'No',
          description: '',
        },
      ],
      rules: [
        'required',
      ],
    },
    weight_loss_history_gastrointestinal_disorders_reason: {
      type: 'text',
      label: 'If yes, please describe',
      rules: [
        'required',
      ],
      conditions: [
        [
          'weight_loss_history_gastrointestinal_disorders',
          'in',
          [
            'Yes',
          ],
        ],
      ],
    },
    h4_10: {
      type: 'static',
      tag: 'h4',
      content: 'Weight Loss',
    },
    p_11: {
      type: 'static',
      tag: 'p',
      content: 'Have you been diagnosed with any hormonal imbalances that affect weight (e.g., hypothyroidism, Cushing\&#39;s syndrome)?',
    },
    weight_loss_diagnosed_with_any_hormonal_imbalances: {
      type: 'radiogroup',
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
          description: '',
        },
        {
          value: 'No',
          label: 'No',
          description: '',
        },
      ],
    },
    weight_loss_diagnosed_with_any_hormonal_imbalances_reason: {
      type: 'text',
      label: 'If yes, please describe',
      rules: [
        'required',
      ],
      conditions: [
        [
          'weight_loss_diagnosed_with_any_hormonal_imbalances',
          'in',
          [
            'Yes',
          ],
        ],
      ],
    },
    h4_11: {
      type: 'static',
      tag: 'h4',
      content: 'Weight Loss',
    },
    p_12: {
      type: 'static',
      tag: 'p',
      content: 'Do you consume caffeine, nicotine, or alcohol?',
    },
    weight_loss_consume_alcohol: {
      type: 'radiogroup',
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
          description: '',
        },
        {
          value: 'No',
          label: 'No',
          description: '',
        },
      ],
    },
    h4_12: {
      type: 'static',
      tag: 'h4',
      content: 'Weight Loss',
    },
    p_13: {
      type: 'static',
      tag: 'p',
      content: 'Do you have a personal or family history of thyroid cancer or multiple endocrine neoplasia (MEN2)?',
    },
    weight_loss_family_history_of_thyroid_cancer: {
      type: 'radiogroup',
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
          description: '',
        },
        {
          value: 'No',
          label: 'No',
          description: '',
        },
      ],
      rules: [
        'required',
      ],
    },
    weight_loss_family_history_of_thyroid_cancer_reason: {
      type: 'text',
      label: 'If yes, please describe',
      rules: [
        'required',
      ],
      conditions: [
        [
          'weight_loss_family_history_of_thyroid_cancer',
          'in',
          [
            'Yes',
          ],
        ],
      ],
    },
    h4_13: {
      type: 'static',
      tag: 'h4',
      content: 'Weight Loss',
    },
    p_14: {
      type: 'static',
      tag: 'p',
      content: 'Have you experienced nausea, vomiting, or digestive issues in the past while using weight loss medications?',
    },
    weight_loss_experienced_nausea_vomiting: {
      type: 'radiogroup',
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
          description: '',
        },
        {
          value: 'No',
          label: 'No',
          description: '',
        },
      ],
    },
    weight_loss_experienced_nausea_vomiting_reason: {
      type: 'text',
      rules: [
        'required',
      ],
      conditions: [
        [
          'weight_loss_experienced_nausea_vomiting',
          'in',
          [
            'Yes',
          ],
        ],
      ],
      label: 'If yes, please specify the medication and side effects',
    },
    h4_14: {
      type: 'static',
      tag: 'h4',
      content: 'Weight Loss',
    },
    p_15: {
      type: 'static',
      tag: 'p',
      content: 'Have you ever used anti-inflammatory or immune-modulating medications, such as Amlexanox?',
    },
    weight_loss_used_anti_inflammatory: {
      type: 'radiogroup',
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
          description: '',
        },
        {
          value: 'No',
          label: 'No',
          description: '',
        },
      ],
    },
    weight_loss_used_anti_inflammatory_reason: {
      type: 'text',
      label: 'If yes, please describe the effects:',
      rules: [
        'required',
      ],
      conditions: [
        [
          'weight_loss_used_anti_inflammatory',
          'in',
          [
            'Yes',
          ],
        ],
      ],
    },
    h4_15: {
      type: 'static',
      tag: 'h4',
      content: 'Weight Loss',
    },
    p_16: {
      type: 'static',
      tag: 'p',
      content: 'Have you been diagnosed with conditions affecting your growth hormone levels (e.g., growth hormone deficiency)?',
    },
    weight_loss_affecting_your_growth_hormone_levels: {
      type: 'radiogroup',
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
          description: '',
        },
        {
          value: 'No',
          label: 'No',
          description: '',
        },
      ],
      rules: [
        'required',
      ],
    },
    weight_loss_affecting_your_growth_hormone_levels_reason: {
      type: 'text',
      label: 'If yes, please describe',
      rules: [
        'required',
      ],
      conditions: [
        [
          'weight_loss_affecting_your_growth_hormone_levels',
          'in',
          [
            'Yes',
          ],
        ],
      ],
    },
    h4_16: {
      type: 'static',
      tag: 'h4',
      content: 'Weight Loss',
    },
    p_17: {
      type: 'static',
      tag: 'p',
      content: 'Are you Pregnant? (Female Specific)',
    },
    weight_loss_are_you_pregnant: {
      type: 'radiogroup',
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
          description: '',
        },
        {
          value: 'No',
          label: 'No',
          description: '',
        },
      ],
    },
  },
  };
  