export default {
    steps: {
        page0: {
          elements: [
            'h4',
            'dna_damage_cellular_repair',
          ],
        },
        page1: {
          label: '',
          elements: [
            'h4_1',
            'dna_how_long_dammage',
          ],
        },
        page2: {
          label: '',
          elements: [
            'h4_2',
            'dna_peptide_treatment',
          ],
        },
        page3: {
          label: '',
          elements: [
            'h4_3',
            'ag_current_medications',
            'caloric_intake',
          ],
        },
        page4: {
          label: '',
          elements: [
            'h4_4',
            'dna_disorder',
          ],
        },
        page5: {
          label: '',
          elements: [
            'h4_6',
            'ag_diagnosed_condition',
          ],
        },
        page6: {
          label: '',
          elements: [
            'h4_7',
            'dna_genetic_disorder',
          ],
        },
        page7: {
          label: '',
          elements: [
            'h4_8',
            'dna_cjc_1295',
            'cjc_dna_repair_describe',
          ],
        },
        page8: {
          label: '',
          elements: [
            'h4_9',
            'dna_overall_health',
          ],
        },
        page9: {
          label: '',
          elements: [
            'h4_10',
            'dna_regular_activity',
            'smoke_alcohol',
          ],
        },
        page10: {
          label: '',
          elements: [
            'h4_11',
            'dna_nutritional_plans',
          ],
        },
        page11: {
          label: '',
          elements: [
            'h4_12',
            'dna_diagnoses',
          ],
        },
        page12: {
          label: '',
          elements: [
            'h4_13',
            'dna_cjc_1295_sideeffects',
          ],
        },
        page13: {
          label: '',
          elements: [
            'h4_14',
            'dna_monitor_cjc_1295_response',
          ],
        },
        page14: {
          label: '',
          elements: [
            'h4_15',
            'dna_enhance_cjc_1295_effectiveness',
          ],
        },
        page15: {
          label: '',
          elements: [
            'h4_16',
            'dna_adverse_reaction_peptide_therapy',
          ],
        },
        page16: {
          label: '',
          elements: [
            'h4_17',
            'dna_harmone_imblance',
          ],
        },
        page17: {
          label: '',
          elements: [
            'h3',
            'dna_autoimmune_diseases',
          ],
        },
        page18: {
          label: '',
          elements: [
            'h3_1',
            'dna_inflammatory_disorders',
          ],
        },
        page19: {
          label: '',
          elements: [
            'h4_5',
            'dna_cardiovascular_disease',
          ],
        },
      },
      schema: {
        h4: {
          type: 'static',
          tag: 'h4',
          content: 'What are your primary concerns regarding DNA damage or cellular repair?',
        },
        dna_damage_cellular_repair: {
          type: 'checkboxgroup',
          items: [
            {
              value: 'aging_related_issues',
              label: 'Aging-related issues',
            },
            {
              value: 'environmental_toxin_exposure',
              label: 'Environmental toxin exposure',
            },
            {
              value: 'radiation_exposure',
              label: 'Radiation exposure',
            },
            {
              value: 'genetic_predisposition',
              label: 'Genetic predisposition',
            },
            {
              value: 'dna_other',
              label: 'Other (please specify)',
            },
          ],
          rules: [
            'required',
          ],
          fieldName: ' ',
        },
        h4_1: {
          type: 'static',
          tag: 'h4',
          content: 'How long have you been aware of or concerned about DNA damage?',
        },
        dna_how_long_dammage: {
          type: 'radiogroup',
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
          items: [
            {
              value: 'less_than_6_mnths',
              label: 'Less than 6 months',
            },
            {
              value: '6_months_to_one_year',
              label: '6 Months to one year',
            },
            {
              value: 'more_than_one_year',
              label: 'More than one year',
            },
          ],
        },
        h4_2: {
          type: 'static',
          tag: 'h4',
          content: 'Have you previously used any hgh or treatments specifically for DNA repair?',
        },
        dna_peptide_treatment: {
          type: 'radiogroup',
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
          items: [
            {
              value: 'yes',
              label: 'Yes',
            },
            {
              value: 'no',
              label: 'No',
            },
          ],
        },
        h4_3: {
          type: 'static',
          tag: 'h4',
          content: 'Do you have any known allergies to medications or hgh?',
        },
        ag_current_medications: {
          type: 'radiogroup',
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
          items: [
            {
              value: 'yes',
              label: 'Yes',
            },
            {
              value: 'no',
              label: 'No',
            },
          ],
        },
        h4_4: {
          type: 'static',
          tag: 'h4',
          content: 'Have you been diagnosed with any conditions related to cellular damage or DNA repair (e.g., cancer, genetic disorders)?',
        },
        dna_disorder: {
          type: 'radiogroup',
          items: [
            {
              value: 'yes',
              label: 'Yes',
            },
            {
              value: 'no',
              label: 'No',
            },
          ],
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
        },
        h4_6: {
          type: 'static',
          tag: 'h4',
          content: 'Are you currently taking any medications or supplements that support DNA repair or cellular health?',
        },
        ag_diagnosed_condition: {
          type: 'radiogroup',
          items: [
            {
              value: 'yes',
              label: 'Yes',
            },
            {
              value: 'no',
              label: 'No',
            },
          ],
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
        },
        h4_7: {
          type: 'static',
          tag: 'h4',
          content: 'Do you have any family history of genetic disorders or diseases related to DNA damage?\n',
        },
        dna_genetic_disorder: {
          type: 'radiogroup',
          items: [
            {
              value: 'yes',
              label: 'Yes',
            },
            {
              value: 'no',
              label: 'No',
            },
          ],
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
        },
        h4_8: {
          type: 'static',
          tag: 'h4',
          content: 'What are your goals for using CJC-1295 for DNA repair?',
        },
        dna_cjc_1295: {
          type: 'radiogroup',
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
          items: [
            {
              value: 'reduce_signs_of_aging',
              label: 'Reduce signs of aging',
            },
            {
              value: 'improve_cellular_health',
              label: 'Improve cellular health',
            },
            {
              value: 'prevent_disease',
              label: 'Prevent disease',
            },
            {
              value: 'enhance_overall_vitality',
              label: 'Enhance overall vitality',
            },
            {
              value: 'other',
              label: 'Other (please specify)',
            },
          ],
        },
        cjc_dna_repair_describe: {
          type: 'textarea',
          label: 'Please specify',
          rules: [
            'validateTextArea',
          ],
          fieldName: ' ',
          conditions: [
            [
              'dna_cjc_1295',
              'in',
              [
                'other',
              ],
            ],
          ],
        },
        h4_9: {
          type: 'static',
          tag: 'h4',
          content: 'How would you rate your current overall health?',
        },
        dna_overall_health: {
          type: 'radiogroup',
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
          items: [
            {
              value: 'excellent',
              label: 'Excellent',
            },
            {
              value: 'good',
              label: 'Good',
            },
            {
              value: 'fair',
              label: 'Fair',
            },
            {
              value: 'poor',
              label: 'Poor',
            },
          ],
        },
        h4_10: {
          type: 'static',
          tag: 'h4',
          content: 'Do you have a regular routine for exercise and physical activity?',
        },
        dna_regular_activity: {
          type: 'radiogroup',
          items: [
            {
              value: 'yes',
              label: 'Yes',
            },
            {
              value: 'no',
              label: 'No',
            },
          ],
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
        },
        smoke_alcohol: {
          type: 'radiogroup',
        },
        h4_11: {
          type: 'static',
          tag: 'h4',
          content: 'Do you follow any specific dietary or nutritional plans to support cellular health?\n',
        },
        dna_nutritional_plans: {
          type: 'radiogroup',
          items: [
            {
              value: 'yes',
              label: 'Yes',
            },
            {
              value: 'no',
              label: 'No',
            },
          ],
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
        },
        h4_12: {
          type: 'static',
          tag: 'h4',
          content: 'Have you had any recent changes in your health status, such as new diagnoses or treatments?',
        },
        dna_diagnoses: {
          type: 'radiogroup',
          items: [
            {
              value: 'yes',
              label: 'Yes',
            },
            {
              value: 'no',
              label: 'No',
            },
          ],
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
        },
        h4_13: {
          type: 'static',
          tag: 'h4',
          content: 'Do you have any concerns about potential side effects of CJC-1295?',
        },
        dna_cjc_1295_sideeffects: {
          type: 'radiogroup',
          items: [
            {
              value: 'yes',
              label: 'Yes',
            },
            {
              value: 'no',
              label: 'No',
            },
          ],
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
        },
        h4_14: {
          type: 'static',
          tag: 'h4',
          content: 'Would you be willing to undergo periodic medical evaluations to monitor your response to CJC-1295 therapy?',
        },
        dna_monitor_cjc_1295_response: {
          type: 'radiogroup',
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
          items: [
            {
              value: 'yes',
              label: 'Yes',
            },
            {
              value: 'no',
              label: 'No',
            },
          ],
        },
        h4_15: {
          type: 'static',
          tag: 'h4',
          content: 'Are you open to incorporating additional lifestyle changes (e.g., diet, stress management) to enhance the effectiveness of CJC-1295 for DNA repair?',
        },
        dna_enhance_cjc_1295_effectiveness: {
          type: 'radiogroup',
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
          items: [
            {
              value: 'yes',
              label: 'Yes',
            },
            {
              value: 'no',
              label: 'No',
            },
          ],
        },
        h4_16: {
          type: 'static',
          tag: 'h4',
          content: '**Have you ever experienced any adverse reactions to hgh treatments in the past?',
        },
        dna_adverse_reaction_peptide_therapy: {
          type: 'radiogroup',
          items: [
            {
              value: 'yes',
              label: 'Yes',
            },
            {
              value: 'no',
              label: 'No',
            },
          ],
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
        },
        h4_17: {
          type: 'static',
          tag: 'h4',
          content: 'Do you currently experience any symptoms of hormone imbalance (e.g., fatigue, low libido, mood swings)?',
        },
        dna_harmone_imblance: {
          type: 'radiogroup',
          items: [
            {
              value: 'yes',
              label: 'Yes',
            },
            {
              value: 'no',
              label: 'No',
            },
          ],
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
        },
        h3: {
          type: 'static',
          tag: 'h3',
          content: 'Have you ever been diagnosed with any autoimmune diseases?',
        },
        dna_autoimmune_diseases: {
          type: 'radiogroup',
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
          items: [
            {
              value: 'yes',
              label: 'Yes',
            },
            {
              value: 'no',
              label: 'No',
            },
          ],
        },
        h3_1: {
          type: 'static',
          tag: 'h3',
          content: 'Do you have any chronic pain conditions or inflammatory disorders?',
        },
        dna_inflammatory_disorders: {
          type: 'radiogroup',
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
          items: [
            {
              value: 'yes',
              label: 'Yes',
            },
            {
              value: 'no',
              label: 'No',
            },
          ],
        },
        h4_5: {
          type: 'static',
          tag: 'h4',
          content: 'Do you have a history of cardiovascular disease or uncontrolled high blood pressure?',
        },
        dna_cardiovascular_disease: {
          type: 'radiogroup',
          items: [
            {
              value: 'yes',
              label: 'Yes',
            },
            {
              value: 'no',
              label: 'No',
            },
          ],
          rules: [
            'validateRadio',
          ],
          fieldName: ' ',
        },
      },
}
